/*

  0.42" OLED Display 128X64 I2C SSD1306 (4 Pins)

  Parts required:
  - Arduino Board
  - 0.42" OLED Module 128X64 I2C SSD1306 (4 Pins)

  Libraries required:
  - Adafruit SSD1306
  - Adafruit GFX

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 07 Sep 2019
  Version : v1.0

*/

// Including libraries
#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

// OLED display width, in pixels and display height, in pixels
#define SCREEN_WIDTH 128                              
#define SCREEN_HEIGHT 64                               

// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
#define OLED_RESET     4                              

// Set all parameters to display object
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

void setup() {

  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);          // generate display voltage from 3.3V internally and add I2C Address
  display.clearDisplay();                             // clear screen
  display.display();                                  // show display content

  display.setTextColor(WHITE);                        // set text color to white
  display.setTextSize(0);                             // set text size to 1
  display.setCursor(31, 28);                          // set cursor position to X,Y
  display.println("ARDUINOTECH");                     // print text

  display.drawLine(45 , 50, 85 , 50, WHITE);          // draw a line
  display.drawLine(66, 40 , 66, 60 , WHITE);          // draw a line

  for (int j = 6; j <= 8; j++) {                      // loop from 6 to 8
    display.drawCircle(58, 50, j, WHITE);             // draw a circle
    display.drawCircle(73, 50, j, WHITE);             // draw a circle
  }

  display.display();                                  // show display content
}

void loop() {
  // nothing here........
}
